
Figure - Bug #118440
【IOVDEV-32217】【内部】【VC1】【0100】【台架】【EE环境】【副屏】副屏同步中控播放冥想的动画时
，弹窗显示“QQ没有响应”
2023-06-01 19:54 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-01

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0100.c103  中控：03.02.0086.C102

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230601  17点42分（ 第232次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）副屏已开启游戏模式，副屏已登录QQ（安装

的27个apk之一）

1.副屏进入QQ拨打语音通话

2.中控端点击冥想课程中的“VC1-日常减压”动画

【实际结果】

副屏同步中控播放冥想课程中的“VC1-日常减压”动画时，突然弹窗提示“QQ没有响应”，且显示了副屏状态栏

【期望结果】

副屏同步中控播放冥想课程中的“VC1-日常减压”动画过程中不显示其弹窗消息

【备注】：

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，

副屏log地址：https://ofs.human-horizons.com/#/download/index/344ldw5QOto%3D

【影响版本】：副屏：01.00.0100.c103  中控：03.02.0086.C102

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-01 19:55 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118440

#2 - 2023-06-01 20:17 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决
https://ofs.human-horizons.com/#/download/index/344ldw5QOto%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118440


- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

Hi 诗雨

qq主线程一直在waiting，这是三方应用的内部代码逻辑，需要三方应用处理,请同步，谢谢

-------------------

"main" prio=5 tid=1 Waiting  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x71cf5648 self=0xb400007a09b95380  | sysTid=17674 nice=-10 cgrp=default sched=0/0

handle=0x7bd07604f8  | state=S schedstat=( 556058416 97314567 564 ) utm=45 stm=9 core=7 HZ=100  | stack=0x7fdbe41000-0x7fdbe43000 stackSize=8188KB  | held

mutexes=

  at java.lang.Object.wait(Native method)

  - waiting on <0x0040d3d7> (a java.util.concurrent.atomic.AtomicInteger)

  at java.lang.Object.wait(Object.java:442)

  at java.lang.Object.wait(Object.java:568)

  at mqq.app.MobileQQ.waitAppRuntime(P:10)

  - locked <0x0040d3d7> (a java.util.concurrent.atomic.AtomicInteger)

  at cooperation.qwallet.plugin.impl.QWalletHelperImpl.getAppRuntime(P:1)

  at com.tencent.mobileqq.qwallet.preload.impl.PreloadStaticApiImpl.getResPathSync(P:1)

  at com.tencent.mobileqq.qwallet.preload.c.m(P:1)

  at com.tencent.mobileqq.soload.api.impl.SoLoaderTransitionServiceImpl.getResPathSync(P:5)

  at com.tencent.mobileqq.m3.c.f.l(P:4)

  at com.tencent.mobileqq.m3.c.f.n(P:1)

  at com.tencent.mobileqq.soload.api.impl.e.h(P:3)

  at com.tencent.mobileqq.soload.api.impl.k.r(P:5)

  at com.tencent.mobileqq.soload.api.impl.i.c(P:1)

  at com.tencent.mobileqq.soload.api.impl.SoLoaderServiceImpl.loadSync(P:12)

  at com.tencent.mobileqq.soload.api.impl.SoLoaderServiceImpl.loadSync(P:2)

  at com.tencent.mobileqq.soload.api.SoLoadManager.loadSync(P:1)

  at com.tencent.av.utils.AVSoUtils.z(P:2)

  at com.tencent.av.utils.AVSoUtils.x(P:1)

  at com.tencent.av.utils.AVSoUtils.E(P:4)

  at com.tencent.av.core.b.updateHevcCodecSoDir(P:1)

  at com.tencent.avcore.jni.data.SDKConfigInfo.getDeviceInfo(P:34)

  at com.tencent.av.core.VcControllerImpl.initConfig(P:2)

  at com.tencent.avcore.jni.dav.DavEngineJni.initContext(P:3)

  at com.tencent.avcore.jni.dav.DavEngineProxy.initContext(P:1)

  at com.tencent.av.core.VcControllerImpl.<init>(P:29)

  at com.tencent.av.VideoController.g2(P:7)

  - locked <0x0b6fe4c4> (a com.tencent.av.VideoController)

  at com.tencent.av.VideoController.J4

  at com.tencent.av.app.VideoAppInterface.S(P:3)

  at com.tencent.av.app.VideoAppInterface.q(P:2)

  at com.tencent.av.app.VideoAppInterface.onCreate(P:27)

  at mqq.app.MobileQQ$5.run(P:35)

  at mqq.app.MobileQQ.createNewRuntime(P:7)

  at mqq.app.MobileQQ.doInit(P:23)

  at com.tencent.mobileqq.startup.step.NewRuntime.doStep(P:26)

  at com.tencent.mobileqq.startup.step.Step.step(P:10)

  at com.tencent.mobileqq.startup.step.Step.doStep(P:3)

  at com.tencent.mobileqq.startup.step.Step.step(P:10)

  at com.tencent.mobileqq.startup.director.StartupDirector.n(P:17)

  at com.tencent.common.app.BaseApplicationImpl.onCreate(P:12)

  at com.tencent.mobileqq.qfix.QFixApplication.onCreate(P:2)
  at android.app.Instrumentation.callApplicationOnCreate(Instrumentation.java:1212)

  at android.app.ActivityThread.handleBindApplication(ActivityThread.java:6744)

  at android.app.ActivityThread.access$1500(ActivityThread.java:248)

  at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2054)

  at android.os.Handler.dispatchMessage(Handler.java:106)

  at android.os.Looper.loopOnce(Looper.java:201)

  at android.os.Looper.loop(Looper.java:288)

  at android.app.ActivityThread.main(ActivityThread.java:7880)

  at java.lang.reflect.Method.invoke(Native method)

  at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

  at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

-------------------

#3 - 2023-06-01 20:52 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

已同步，关闭该bug

#4 - 2023-06-01 20:52 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#5 - 2023-06-01 20:52 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

#6 - 2023-06-07 14:00 - CDTS_Test 吴诗雨

客户回复：

此问题不是QQ没有响应问题，是副屏同步中控播放动画时，那动画是最高级，在播放过程中应该不可操作，也不显示任何消息，消息应该是显示在底层

。

冥想模式，carsshow：应该用最高层级，中控叫沉浸层，我不太清楚副屏的定义，如果可以建议用最高层级来做。

洗车模式：开启后副屏为息屏，不影响，用息屏后的策略即可。

与研发确认，该问题为新需求，未确认是否修改

Files

IOVDEV-32217.zip 5.01 MB 2023-06-01 CDTS_Test 吴诗雨
